# synfig::UniqueID Class Reference

`#include <uniqueid.h>`

Inheritance diagram for synfig::UniqueID:

List of all members.

## Public Member Functions

const int & | get_uid () const
| Returns the internal unique identifier for this object.
| UniqueID ()
void | make_unique ()
| operator bool () const
void | mimic (const UniqueID &x)
bool | operator== (const UniqueID &rhs) const
bool | operator!= (const UniqueID &rhs) const
bool | operator< (const UniqueID &rhs) const

## Static Public Member Functions

static const UniqueID | nil ()

## Friends

class | UniqueIDLessThan

## Detailed Description

Todo:

## Constructor & Destructor Documentation

synfig::UniqueID::UniqueID | ( |  | ) | `[inline]`

Referenced by nil().

## Member Function Documentation

const int& synfig::UniqueID::get_uid | ( |  | ) | const`[inline]`

Returns the internal unique identifier for this object.

The return value from this isn't really useful for much other than debug output. Nonetheless, that is one step above useless, so here it is.

Referenced by synfig::ValueNode_Animated::find(), synfig::KeyframeList::find(), synfig::Waypoint::get_guid(), synfig::Activepoint::get_guid(), synfig::Waypoint::operator!=(), and synfig::Waypoint::operator==().

void synfig::UniqueID::make_unique | ( |  | ) | `[inline]`

Referenced by synfig::Waypoint::clone(), and synfig::ValueNode_Animated::new_waypoint_at_time().

static const UniqueID synfig::UniqueID::nil | ( |  | ) | `[inline, static]`

References UniqueID().

synfig::UniqueID::operator bool | ( |  | ) | const`[inline]`

void synfig::UniqueID::mimic | ( | const UniqueID & | x | ) | `[inline]`

References id_.

bool synfig::UniqueID::operator== | ( | const UniqueID & | rhs | ) | const`[inline]`

Reimplemented in synfig::Waypoint.

References id_.

bool synfig::UniqueID::operator!= | ( | const UniqueID & | rhs | ) | const`[inline]`

Reimplemented in synfig::Waypoint.

References id_.

bool synfig::UniqueID::operator< | ( | const UniqueID & | rhs | ) | const`[inline]`

References id_.

## Friends And Related Function Documentation

friend class UniqueIDLessThan `[friend]`

The documentation for this class was generated from the following files:

- uniqueid.h
- uniqueid.cpp